"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var projectPath = global.rootPath || process.cwd();
var resolveFileName = require("./resolveFileName");
module.exports = function () {
    return {
        visitor: {
            CallExpression: function (nodePath, state) {
                var logArr = state.opts.logger || [
                    'logger.log',
                    'logger.info',
                    'logger.wran',
                    'logger.error',
                    'logger.debug',
                ];
                if (nodePath.node.callee.object &&
                    logArr.includes(nodePath.node.callee.object.name + '.' + nodePath.node.callee.property.name)) {
                    var filename = state.file.opts.filename;
                    var params = {
                        filename: filename,
                        projectPath: projectPath,
                        prefix: state.opts.prefix || '',
                        line: nodePath.node.loc.start.line,
                        column: nodePath.node.loc.start.column,
                    };
                    var value = '';
                    switch (typeof state.opts.resolveFileName) {
                        case 'function':
                            value = state.opts.resolveFileName(params);
                            break;
                        case 'string':
                            if (resolveFileName[state.opts.resolveFileName]) {
                                value = resolveFileName[state.opts.resolveFileName](params);
                                break;
                            }
                        default:
                            value = resolveFileName['acronyms'](params);
                    }
                    if (nodePath.node.arguments[0].value !== value) {
                        nodePath.node.arguments.unshift({
                            type: 'StringLiteral',
                            value: value,
                        });
                    }
                }
            },
        },
    };
};
