"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fullpath = exports.acronyms = void 0;
var path = require("path");
/**
 * acronyms
 *
 * src/views/Home/index.ts
 * log :[s.v.H:index.ts:18]
 */
function acronyms(obj) {
    var arr = path
        .relative(obj.projectPath, obj.filename)
        .split(/[\\\/]/)
        .filter(function (r) { return r; });
    var last = arr.pop();
    var filename = arr.map(function (r) { return r[0]; }).join('.') + '/' + last;
    var value = obj.prefix ? obj.prefix + ' ' : '';
    value += "[" + filename + " (" + obj.line + ":" + obj.column + ")]";
    return value;
}
exports.acronyms = acronyms;
/**
 * fullpath
 *
 * src/views/Home/index.ts
 * log :src/views/Home [index.ts:18]
 */
function fullpath(obj) {
    var filename = path.relative(obj.projectPath, obj.filename);
    var value = '';
    value += obj.prefix ? obj.prefix + ' ' : '';
    value += "[" + filename + ":" + obj.line + "]";
    return value;
}
exports.fullpath = fullpath;
